package com.ruoyi.common.third.properties;

import com.ruoyi.common.third.cache.redis.ClusterTypeEnum;
import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "third-switch.cache")
public class HzRedisProperties {

    // 默认是单机模式
    private String redisCluster = ClusterTypeEnum.STANDALONE.getKey();
    private String cacheType = "redis";

    public HzRedisProperties() {
        super();
    }

    public String getRedisCluster() {
        return redisCluster;
    }

    public void setRedisCluster(String redisCluster) {
        this.redisCluster = redisCluster;
    }

    public String getCacheType() {
        return cacheType;
    }

    public void setCacheType(String cacheType) {
        this.cacheType = cacheType;
    }
}
